Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456089 - Wrong cpp path in rpcgen
Summary: Wrong cpp path in rpcgen
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-21 14:16 UTC by Michal Fabry
Modified: 2008-07-26 07:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-26 07:35:29 UTC


Attachments (Terms of Use)
Add /usr/bin/cpp to cpp search path (deleted)
2008-07-23 07:35 UTC, Lubomir Rintel
no flags Details

Description Michal Fabry 2008-07-21 14:16:05 UTC
Description of problem:
rpcgen should look for cpp in /usr/bin/cpp instead of /usr/ccs/lib/cpp

$ strings `which rpcgen` |grep cpp
/cpp
/usr/ccs/lib/cpp
-Y path		directory name to find C preprocessor (cpp)
cannot find any C preprocessor (cpp)
$ 


Version-Release number of selected component (if applicable):
glibc-common-2.8-3.x86_64

Comment 1 Lubomir Rintel 2008-07-21 14:27:31 UTC
15:43 <Furby> rpcgen -h -o rquota.h rquota.x
15:43 <Furby> cannot find any C preprocessor (cpp)
15:43 <Furby> rpcgen: C preprocessor failed with exit code 1

And some more information:

[pid  1149] stat64("/lib/cpp",  <unfinished ...>
[pid  1148] <... close resumed> )       = 0
[pid  1148] fcntl64(3, F_GETFL)         = 0 (flags O_RDONLY)
[pid  1148] brk(0)                      = 0x10040000
[pid  1148] brk(0x10070000)             = 0x10070000
[pid  1148] fstat64(3, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid  1148] mmap(NULL, 65536, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf7fe0000
[pid  1148] _llseek(3, 0, 0xff99f3f8, SEEK_CUR) = -1 ESPIPE (Illegal seek)
[pid  1148] open("rquota.h", O_WRONLY|O_CREAT|O_TRUNC, 0666) = 4
[pid  1148] fstat64(4, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
[pid  1148] mmap(NULL, 65536, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf7fd0000
[pid  1148] write(4, "/*\n * Please do not edit this fi"..., 189) = 189
[pid  1148] _llseek(4, 0, [189], SEEK_CUR) = 0
[pid  1148] read(3,  <unfinished ...>
[pid  1149] <... stat64 resumed> 0xff99f478) = -1 ENOENT (No such file or directory)
[pid  1149] stat64("/usr/ccs/lib/cpp", 0xff99f478) = -1 ENOENT (No such file or
directory)
[pid  1149] fstat64(1, {st_mode=S_IFREG|0644, st_size=2501, ...}) = 0
[pid  1149] mmap(NULL, 65536, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf7fe0000
[pid  1149] write(1, "cannot find any C preprocessor ("..., 37cannot find any C
preprocessor (cpp)

This reportedly occured on 64bit ppc. Note that it looks for /lib/cpp. I suspect
cpp may reside in /lib64/cpp there?

Comment 2 Lubomir Rintel 2008-07-23 07:35:57 UTC
Created attachment 312431 [details]
Add /usr/bin/cpp to cpp search path

Proposed fix.

Comment 3 Ulrich Drepper 2008-07-26 07:35:29 UTC
Your setup must be wrong.  There always has been and still is a /lib/cpp.  It's
a symlink.  Even on 64-bit machines.  No need to change anything.


Note You need to log in before you can comment on or make changes to this bug.